Cambiando a PHP 7.4 y dejando de ofrecer algunas versiones anteriores

Una gran parte de nuestro servicio implica mantener el software del lado del servidor y del lado del cliente actualizado, seguro y rápido. Uno de los elementos clave de nuestros servidores que requiere un mantenimiento experto es el lenguaje de programación PHP, que es un requisito previo para el funcionamiento de la mayoría de los sitios web. PHP es un lenguaje extremadamente popular y bien soportado y, como cualquier software, su desarrollo implica el lanzamiento continuo de nuevas versiones. Las nuevas versiones introducen nuevas funciones e importantes mejoras de rendimiento y seguridad. Como proveedor de servicios de hosting gestionado, hacemos un seguimiento de cómo evoluciona cada versión de PHP, especialmente cómo de rápido es adoptada por los principales desarrolladores de aplicaciones, y hacemos esfuerzos proactivos para asegurarnos de que nuestros clientes obtengan todos los beneficios de las versiones más nuevas lo antes posible. Aquí está nuestra última actualización de mantenimiento de PHP.

Cambiando a PHP 7.4 como predeterminado

A partir de junio de 2021, cambiaremos la versión predeterminada en nuestros servidores a PHP 7.4. Esto significa que todos los sitios nuevos utilizarán la versión 7.4, a menos que se cambie manualmente a una diferente. PHP 7.4 lleva existiendo desde hace más de 2 años y ya se ha vuelto ampliamente compatible con diferentes CMS, temas y plugins. PHP 7.3 (nuestra versión predeterminada actual) ya no tiene soporte activo y también dejará de contar con soporte referente a seguridad al final de este año. Mantener tu versión de PHP actualizada tiene innegables ventajas de rendimiento y seguridad y es por eso que ahora te estamos ayudando a cambiar a PHP 7.4.

Todos los sitios web que utilizan nuestro servicio PHP administrado también se actualizarán a 7.4 en el período del 10 al 21 de junio de 2021. PHP 7.3 seguirá estando disponible en nuestros servidores y nuestros clientes pueden configurarlo manualmente para cualquier sitio desde Site Tools > Desarrollo > Gestión PHP.

Cesando el soporte para 7.2, 7.1, 7.0, 5.6 y versiones inferiores a final de año

Al mismo tiempo, el soporte de seguridad para todas las versiones de PHP por debajo de 7.3 ha terminado oficialmente, y dados los exploits que se filtran de vez en cuando, creemos que el riesgo de usarlas es cada vez mayor. Además, el rendimiento de los sitios web que utilizan versiones antiguas de PHP es considerablemente menor en comparación con los sitios que utilizan versiones más nuevas. Es por eso que estamos iniciando un proceso de cese de PHP 7.2, 7.1, 7.0, 5.6 y anteriores en nuestros servidores. Después del 21 de junio de 2021, actualizaremos gradualmente los sitios que utilizan versiones antiguas de PHP a PHP 7.4. Las versiones de PHP inferiores a 7.3 ya no serán compatibles con nuestros servidores después del 31 de diciembre de 2021.

Suscribirse a
más contenido increíble

Suscríbete para recibir nuestra newsletter mensual con contenido útil y ofertas de SiteGround.

¡Gracias!

Por favor, revisa tu correo electrónico para confirmar la suscripción.

¿Qué hacer si estás utilizando una versión antigua de PHP?

Esta actualización de PHP afectará a muchos sitios web de nuestra plataforma. Es por eso que comenzamos a comunicar la actualización hace un mes y te recomendamos encarecidamente que evalúes el impacto de la actualización a 7.4 en tu sitio lo antes posible utilizando esta herramienta:

tu-dominio.com/.well-known/sg-php-try-v74

Para ver si un sitio funcionará correctamente después de la actualización, escribe la URL anterior utilizando el dominio de tu propio sitio en el navegador y navega por el sitio, sus subdominios (si los hay) y su área de administración. Si algo no se ve o no se comporta como se esperaba, te recomendamos que investigues más la compatibilidad de tu sitio con PHP 7.4 y soluciones cualquier problema antes de la actualización. Si tienes plugins rotos o un tema, considera actualizarlos o reemplazarlos. Si eso es demasiado difícil o el problema está en otra parte, ponte en contacto con tus desarrolladores para obtener ayuda.

Nota: al abrir tu sitio web a través del enlace de arriba, lo navegarás usando PHP 7.4. Este cambio afecta SOLAMENTE tu sesión actual de navegador. Todos los demás visitantes seguirán accediendo a tu sitio con su versión PHP actual. Para detener el modo de navegación de verificación de compatibilidad en tu propio navegador, cierra el navegador y accede a tu sitio nuevamente a través de su URL estándar.

Caso especial de Magento: los sitios que usan Magento 2.3.6 o versiones anteriores no son compatibles con PHP 7.4 Por eso, si tienes un sitio web de este tipo, te recomendamos encarecidamente que lo actualices a 2.3.7 lo antes posible, para que sea compatible con PHP 7.4 y listo para la actualización de PHP.

Somos conscientes de que los sitios que actualmente usan PHP versión 7.2 o inferior pueden necesitar más tiempo para corregir posibles incompatibilidades con PHP 7.4. Por eso, a los propietarios de dichos sitios se les proporcionó un enlace para una posible exclusión en el correo electrónico sobre la actualización, enviado durante los últimos días. Al optar por no participar a través de este enlace, los clientes confirman que no quieren que actualicemos la versión de PHP de su sitio por ellos, pero son conscientes de que, no obstante, esta versión dejará de funcionar después del 31 de diciembre de 2021.

Para los clientes que usan PHP 7.3, recomendamos encarecidamente que no pospongan su actualización de PHP, pero en caso de que esto sea realmente necesario, simplemente pueden cambiar a la administración manual de versiones de PHP, hasta que su sitio esté listo para PHP 7.4.

¡Esperamos ver sitios más seguros y mucho más rápidos después de la actualización!

author avatar
Daniel Kanchev

Enterprise Cloud Solutions Architect

Mi trabajo está muy relacionado con todo tipo de productos de software gratuito y de código abierto (algunos de mis favoritos son WordPress, Joomla !, Magento, Varnish y Apache mod_security). Como friki de la seguridad Web y del rendimiento siempre estoy híper concentrado en resolver todo tipo de problemas y en mejorar nuestros servicios.

Velocidad

Comentarios ( 2 )

author avatar

Ivan Valdes

Jun 17, 2021

Hola estimados, valiosa información. El día de ayer mis sitios web se actualizaron automáticamente a la versión 7.4. Esto nos significo un problema ya que nuestros sitios web están hechos con Prestashop 1.7.6, los cuales funcionan correctamente bajo PHP 7.3. Lamentablemente la versión PHP 7.4 no funciona correctamente en PS 1.7.6 y varias características se vieron afectadas. Volvimos a dejar la versión PHP a 7.3 y todo volvió a la normalidad. Esto me genera una duda, ¿hasta cuando ofrecerán soporte para la versión PHP 7.3? Saludos

Responder
author avatar

Wilkins Morales El Equipo de SiteGround

Jun 17, 2021

Hola Ivan. No tenemos actualmente una fecha en la que dejaremos de ofrecer PHP 7.3. Esta versión de PHP seguirá disponible en nuestros servidores tras el 31 de diciembre de 2021, cuando dejaremos de soportar versiones inferiores. Nos aseguraremos de lanzar un comunicado a todos nuestros clientes cuando se programe la retirada de PHP 7.3.

Responder

Iniciar discusión

¿Listo para iniciar tu web?

¡Elige un plan de hosting, crea o migra tu web en unos clics y haz crecer tu presencia online!

Primeros pasos Chatea con un experto